Index: Kconfig
===================================================================
--- Kconfig	(revision 4559)
+++ Kconfig	(working copy)
@@ -1,7 +1,7 @@
 source src/southbridge/amd/Kconfig
 #source src/southbridge/broadcom/Kconfig
 source src/southbridge/intel/Kconfig
-#source src/southbridge/nvidia/Kconfig
+source src/southbridge/nvidia/Kconfig
 #source src/southbridge/ricoh/Kconfig
 #source src/southbridge/sis/Kconfig
 source src/southbridge/via/Kconfig
Index: Makefile.inc
===================================================================
--- Makefile.inc	(revision 4559)
+++ Makefile.inc	(working copy)
@@ -1,7 +1,7 @@
 subdirs-y += amd
 #subdirs-y += broadcom
 subdirs-y += intel
-#subdirs-y += nvidia
+subdirs-y += nvidia
 #subdirs-y += ricoh
 #subdirs-y += sis
 subdirs-y += via
Index: nvidia/mcp55/Kconfig
===================================================================
--- nvidia/mcp55/Kconfig	(revision 0)
+++ nvidia/mcp55/Kconfig	(revision 0)
@@ -0,0 +1,22 @@
+##
+## This file is part of the coreboot project.
+##
+## Copyright (C) 2008-2009 coresystems GmbH
+##
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; version 2 of the License.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+##
+
+config SOUTHBRIDGE_NVIDIA_MCP55
+	bool
+	default n
Index: nvidia/mcp55/Makefile.inc
===================================================================
--- nvidia/mcp55/Makefile.inc	(revision 0)
+++ nvidia/mcp55/Makefile.inc	(revision 0)
@@ -0,0 +1,20 @@
+driver-y += mcp55.o
+driver-y += mcp55_aza.o
+#driver-y += mcp55_early_ctrl.o
+#driver-y += mcp55_early_setup_car.o
+#driver-y += mcp55_early_smbus.o
+#driver-y += mcp55_enable_rom.o
+driver-$(CONFIG_USB_DEBUG_DIRECT) += mcp55_enable_usbdebug_direct.o
+driver-y += mcp55_ht.o
+driver-y += mcp55_ide.o
+driver-y += mcp55_lpc.o
+driver-y += mcp55_nic.o
+driver-y += mcp55_pci.o
+driver-y += mcp55_pcie.o
+driver-y += mcp55_sata.o
+driver-y += mcp55_smbus.o
+driver-y += mcp55_usb2.o
+driver-y += mcp55_usb.o
+obj-$(CONFIG_HAVE_ACPI_TABLES) += mcp55_fadt.o
+
+obj-y += mcp55_reset.o
